package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 网办类型（原件预审.原件预审，原件核验.原件核验，全程网办.全程网办）枚举类
*
* @author zxfei
*/
public enum OnlineTypeEnum {
    原件预审("原件预审", "原件预审"),
    原件核验("原件核验", "原件核验"),
    全程网办("全程网办", "全程网办");
    private String value;
    private String desc;

    OnlineTypeEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static OnlineTypeEnum getByValue(String value) {
        for (OnlineTypeEnum onlineTypeEnum : OnlineTypeEnum.values()) {
            if (onlineTypeEnum.getValue() == value) {
                return onlineTypeEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (OnlineTypeEnum item : OnlineTypeEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}